ResourcesSeller Payouts

Retrieve a payout request

Read one store-scoped seller payout request.

GET
/v2/seller-payouts/{sellerPayout}

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Select the SellApp store for this API request.

In: header

Path Parameters

sellerPayout*integer

The store-scoped seller payout request ID.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://sell.app/api/v2/seller-payouts/0"
{
  "data": {
    "id": 0,
    "amount_cents": 0,
    "fee_cents": 0,
    "net_amount_cents": 0,
    "currency": "USD",
    "status": "requested",
    "destination": {
      "type": "bank_account",
      "label": "Bank account ending in 4242"
    },
    "requested_at": "2019-08-24T14:15:22Z",
    "canceled_at": "2019-08-24T14:15:22Z"
  }
}
{
  "message": "Unauthenticated."
}
{
  "message": "This action is unauthorized."
}
{
  "message": "Rule not found."
}
{
  "message": "The given data was invalid.",
  "errors": {
    "data": [
      "The data field is required."
    ]
  }
}